diff --git a/src/backend/catalog/objectaccess.c b/src/backend/catalog/objectaccess.c
index f70797f..ad12d74 100644
--- a/src/backend/catalog/objectaccess.c
+++ b/src/backend/catalog/objectaccess.c
@@ -96,7 +96,7 @@ RunNamespaceSearchHook(Oid objectId, bool ereport_on_violation)
 {
 	ObjectAccessNamespaceSearch	ns_arg;
 
-	/* XXX - should be checked at caller side */
+	/* caller should check, but just in case... */
 	Assert(object_access_hook != NULL);
 
 	memset(&ns_arg, 0, sizeof(ObjectAccessNamespaceSearch));
diff --git a/src/include/catalog/objectaccess.h b/src/include/catalog/objectaccess.h
index 12ae55f..a34c4c7 100644
--- a/src/include/catalog/objectaccess.h
+++ b/src/include/catalog/objectaccess.h
@@ -29,7 +29,7 @@
  *
  * OAT_NAMESPACE_SEARCH should be invoked prior to object name lookup under
  * a particular namespace. This event is equivalent to usage permission
- * permission on a schema under the default access control mechanism.
+ * on a schema under the default access control mechanism.
  *
  * Other types may be added in the future.
  */
